import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ClientAutocompleteComponent } from './client-autocomplete.component';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { HttpClientTestingModule } from '@angular/common/http/testing';

describe('ClientAutocompleteComponent', () => {
  let component: ClientAutocompleteComponent;
  let fixture: ComponentFixture<ClientAutocompleteComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ ClientAutocompleteComponent ],
      imports: [ MatAutocompleteModule, HttpClientTestingModule ]
    })
    .compileComponents();

    fixture = TestBed.createComponent(ClientAutocompleteComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
